Index: uspace/srv/net/tl/udp/udp.c
===================================================================
--- uspace/srv/net/tl/udp/udp.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/tl/udp/udp.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -895,21 +921,15 @@
 /** Starts the module.
  *
- *  @param argc		The count of the command line arguments. Ignored
- *			parameter.
- *  @param argv		The command line parameters. Ignored parameter.
- *
- *  @returns		EOK on success.
- *  @returns		Other error codes as defined for each specific module
+ * @returns		EOK on success.
+ * @returns		Other error codes as defined for each specific module
  *			start function.
  */
 int main(int argc, char *argv[])
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	/* Start the module */
-	if (ERROR_OCCURRED(tl_module_start_standalone(tl_client_connection)))
-		return ERROR_CODE;
-	
-	return EOK;
+	rc = tl_module_start_standalone(tl_client_connection);
+	return rc;
 }
 
Index: uspace/srv/net/tl/udp/udp.h
===================================================================
--- uspace/srv/net/tl/udp/udp.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/tl/udp/udp.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,13 +28,13 @@
 
 /** @addtogroup udp
- *  @{
+ * @{
  */
 
 /** @file
- *  UDP module.
+ * UDP module.
  */
 
-#ifndef __NET_UDP_H__
-#define __NET_UDP_H__
+#ifndef NET_UDP_H_
+#define NET_UDP_H_
 
 #include <fibril_synch.h>
@@ -43,40 +43,29 @@
 
 /** Type definition of the UDP global data.
- *  @see udp_globals
+ * @see udp_globals
  */
-typedef struct udp_globals	udp_globals_t;
+typedef struct udp_globals udp_globals_t;
 
-/** UDP global data.
- */
-struct	udp_globals{
-	/** Networking module phone.
-	 */
+/** UDP global data. */
+struct udp_globals {
+	/** Networking module phone. */
 	int net_phone;
-	/** IP module phone.
-	 */
+	/** IP module phone. */
 	int ip_phone;
-	/** ICMP module phone.
-	 */
+	/** ICMP module phone. */
 	int icmp_phone;
-	/** Packet dimension.
-	 */
+	/** Packet dimension. */
 	packet_dimension_t packet_dimension;
-	/** Indicates whether UDP checksum computing is enabled.
-	 */
+	/** Indicates whether UDP checksum computing is enabled. */
 	int checksum_computing;
-	/** Indicates whether UDP autobnding on send is enabled.
-	 */
+	/** Indicates whether UDP autobnding on send is enabled. */
 	int autobinding;
-	/** Last used free port.
-	 */
+	/** Last used free port. */
 	int last_used_port;
-	/** Active sockets.
-	 */
+	/** Active sockets. */
 	socket_ports_t sockets;
-	/** Device packet dimensions.
-	 */
+	/** Device packet dimensions. */
 	packet_dimensions_t dimensions;
-	/** Safety lock.
-	 */
+	/** Safety lock. */
 	fibril_rwlock_t lock;
 };
@@ -86,3 +75,2 @@
 /** @}
  */
-
Index: uspace/srv/net/tl/udp/udp_header.h
===================================================================
--- uspace/srv/net/tl/udp/udp_header.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/tl/udp/udp_header.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,51 +28,35 @@
 
 /** @addtogroup udp
- *  @{
+ * @{
  */
 
 /** @file
- *  UDP header definition.
- *  Based on the RFC~768.
+ * UDP header definition.
+ * Based on the RFC 768.
  */
 
-#ifndef __NET_UDP_HEADER_H__
-#define __NET_UDP_HEADER_H__
+#ifndef NET_UDP_HEADER_H_
+#define NET_UDP_HEADER_H_
 
 #include <sys/types.h>
 
-/** UDP header size in bytes.
- */
-#define UDP_HEADER_SIZE			sizeof(udp_header_t)
+/** UDP header size in bytes. */
+#define UDP_HEADER_SIZE		sizeof(udp_header_t)
 
 /** Type definition of the user datagram header.
- *  @see udp_header
+ * @see udp_header
  */
-typedef struct udp_header	udp_header_t;
+typedef struct udp_header udp_header_t;
 
 /** Type definition of the user datagram header pointer.
- *  @see udp_header
+ * @see udp_header
  */
-typedef udp_header_t *		udp_header_ref;
+typedef udp_header_t *udp_header_ref;
 
-/** User datagram header.
- */
-struct udp_header{
-	/** Source Port is an optional field, when meaningful, it indicates the port of the sending process, and may be assumed to be the port to which a reply should be addressed in the absence of any other information.
-	 *  If not used, a value of zero is inserted.
-	 */
+/** User datagram header. */
+struct udp_header {
 	uint16_t source_port;
-	/** Destination port has a meaning within the context of a particular internet destination address.
-	 */
 	uint16_t destination_port;
-	/** Length is the length in octets of this user datagram including this header and the data.
-	 *  This means the minimum value of the length is eight.
-	 */
 	uint16_t total_length;
-	/** Checksum is the 16-bit one's complement of the one's complement sum of a pseudo header of information from the IP header, the UDP header, and the data, padded with zero octets at the end (if necessary) to make a multiple of two octets.
-	 *  The pseudo header conceptually prefixed to the UDP header contains the source address, the destination address, the protocol, and the UDP length.
-	 *  This information gives protection against misrouted datagrams.
-	 *  If the computed checksum is zero, it is transmitted as all ones (the equivalent in one's complement arithmetic).
-	 *  An all zero transmitted checksum value means that the transmitter generated no checksum (for debugging or for higher level protocols that don't care).
-	 */
 	uint16_t checksum;
 } __attribute__ ((packed));
Index: uspace/srv/net/tl/udp/udp_module.c
===================================================================
--- uspace/srv/net/tl/udp/udp_module.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/tl/udp/udp_module.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,17 +28,21 @@
 
 /** @addtogroup udp
- *  @{
+ * @{
  */
 
 /** @file
- *  UDP standalone module implementation.
- *  Contains skeleton module functions mapping.
- *  The functions are used by the module skeleton as module specific entry points.
- *  @see module.c
+ * UDP standalone module implementation.
+ * Contains skeleton module functions mapping.
+ * The functions are used by the module skeleton as module specific entry
+ * points.
+ * @see module.c
  */
+
+#include "udp.h"
+#include "udp_module.h"
 
 #include <async.h>
 #include <stdio.h>
-#include <err.h>
+#include <errno.h>
 #include <ipc/ipc.h>
 #include <ipc/services.h>
@@ -46,53 +50,44 @@
 #include <net/modules.h>
 #include <net/packet.h>
+
 #include <net_interface.h>
 #include <tl_local.h>
 
-#include "udp.h"
-#include "udp_module.h"
+/** UDP module global data. */
+extern udp_globals_t udp_globals;
 
-/** UDP module global data.
- */
-extern udp_globals_t	udp_globals;
-
-/** Starts the UDP module.
- *  Initializes the client connection serving function, initializes the module, registers the module service and starts the async manager, processing IPC messages in an infinite loop.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on successful module termination.
- *  @returns Other error codes as defined for the udp_initialize() function.
- *  @returns Other error codes as defined for the REGISTER_ME() macro function.
- */
-int tl_module_start_standalone(async_client_conn_t client_connection){
-	ERROR_DECLARE;
-
+int tl_module_start_standalone(async_client_conn_t client_connection)
+{
 	ipcarg_t phonehash;
+	int rc;
 
 	async_set_client_connection(client_connection);
 	udp_globals.net_phone = net_connect_module();
-	if(udp_globals.net_phone < 0){
+	if (udp_globals.net_phone < 0)
 		return udp_globals.net_phone;
-	}
-	ERROR_PROPAGATE(pm_init());
-	if(ERROR_OCCURRED(udp_initialize(client_connection))
-		|| ERROR_OCCURRED(REGISTER_ME(SERVICE_UDP, &phonehash))){
-		pm_destroy();
-		return ERROR_CODE;
-	}
+	
+	rc = pm_init();
+	if (rc != EOK)
+		return EOK;
+		
+	rc = udp_initialize(client_connection);
+	if (rc != EOK)
+		goto out;
+	
+	rc = REGISTER_ME(SERVICE_UDP, &phonehash);
+	if (rc != EOK)
+		goto out;
 
 	async_manager();
 
+out:
 	pm_destroy();
-	return EOK;
+	return rc;
 }
 
-/** Processes the UDP message.
- *  @param[in] callid The message identifier.
- *  @param[in] call The message parameters.
- *  @param[out] answer The message answer parameters.
- *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
- *  @returns EOK on success.
- *  @returns Other error codes as defined for the udp_message() function.
- */
-int tl_module_message_standalone(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count){
+int
+tl_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+    ipc_call_t *answer, int *answer_count)
+{
 	return udp_message_standalone(callid, call, answer, answer_count);
 }
Index: uspace/srv/net/tl/udp/udp_module.h
===================================================================
--- uspace/srv/net/tl/udp/udp_module.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/tl/udp/udp_module.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -28,36 +28,21 @@
 
 /** @addtogroup udp
- *  @{
+ * @{
  */
 
 /** @file
- *  UDP module functions.
- *  The functions are used as UDP module entry points.
+ * UDP module functions.
+ * The functions are used as UDP module entry points.
  */
 
-#ifndef __NET_UDP_MODULE_H__
-#define __NET_UDP_MODULE_H__
+#ifndef NET_UDP_MODULE_H_
+#define NET_UDP_MODULE_H_
 
 #include <async.h>
 #include <ipc/ipc.h>
 
-/** Initializes the UDP module.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on success.
- *  @returns ENOMEM if there is not enough memory left.
- */
-extern int udp_initialize(async_client_conn_t client_connection);
-
-/** Processes the UDP message.
- *  @param[in] callid The message identifier.
- *  @param[in] call The message parameters.
- *  @param[out] answer The message answer parameters.
- *  @param[out] answer_count The last parameter for the actual answer in the answer parameter.
- *  @returns EOK on success.
- *  @returns ENOTSUP if the message is not known.
- *  @see udp_interface.h
- *  @see IS_NET_UDP_MESSAGE()
- */
-extern int udp_message_standalone(ipc_callid_t callid, ipc_call_t * call, ipc_call_t * answer, int * answer_count);
+extern int udp_initialize(async_client_conn_t);
+extern int udp_message_standalone(ipc_callid_t, ipc_call_t *, ipc_call_t *,
+    int *);
 
 #endif
